Problem with update.sh

Post any questions or comments regarding the LINUX version of HYSPLIT. This includes the model execution, GUIs, results, or graphics. Be sure to mention the version of LINUX you are using.
ariel.stein
Posts: 630
Joined: November 7th, 2012, 3:14 pm
Registered HYSPLIT User: Yes
Contact:

Re: Problem with update.sh

Post by ariel.stein » December 20th, 2016, 10:22 am

The arw2arl compilation probably failed for 2 reasons:
-The NetCDF libraries need to be compiled with ifort
- The links to the NetCDF libraries are pointing to a wrong directory.

yveeteyang
Posts: 12
Joined: May 21st, 2015, 6:05 am
Registered HYSPLIT User: Yes

Re: Problem with update.sh

Post by yveeteyang » December 21st, 2016, 12:58 pm

I checked again with those two problems and make sure I made these two things right, and still get this error:
Building the WRF-ARW decoder (requires export NetCDF lib/include)
ERROR

-lnetcdff -L../library -lhysplit
ld: cannot find -lhysplit
make: *** [arw2arl] Error 1

Do you have any idea where goes wrong? Thank you.
-Yveete
ariel.stein wrote:The arw2arl compilation probably failed for 2 reasons:
-The NetCDF libraries need to be compiled with ifort
- The links to the NetCDF libraries are pointing to a wrong directory.

ariel.stein
Posts: 630
Joined: November 7th, 2012, 3:14 pm
Registered HYSPLIT User: Yes
Contact:

Re: Problem with update.sh

Post by ariel.stein » December 21st, 2016, 2:43 pm

You need to point to the location of the hysplit library (libhysplit.a) in the makefile for creating the WRF to ARL converter (data2arl/arw2arl/).

Post Reply